conffile prompt on dapper->hardy upgrade

Bug #172837 reported by Michael Vogt on 2007-11-29
2
Affects Status Importance Assigned to Milestone
hal (Ubuntu)
High
Martin Pitt

Bug Description

Binary package hint: hal

I got a conffile prompt on a automatic dapper->hardy upgrade:

Setting up hal (0.5.10-2ubuntu2) ...^M
Installing new version of config file /etc/default/hal ...^M
^M
Configuration file `/etc/udev/rules.d/95-hal.rules'^M
 ==> File on system created by you or by a script.^M
 ==> File also in package provided by package maintainer.^M
   What would you like to do about it ? Your options are:^M
    Y or I : install the package maintainer's version^M
    N or O : keep your currently-installed version^M
      D : show the differences between the versions^M
      Z : background this process to examine the situation^M
 The default action is to keep your current version.^M
*** 95-hal.rules (Y/I/N/O/D/Z) [default=N] ?

Related branches

Michael Vogt (mvo) wrote :

diff:
--- /etc/udev/rules.d/95-hal.rules.dpkg-dist 2007-11-20 17:39:21.000000000 +0100
+++ /etc/udev/rules.d/95-hal.rules 2007-08-10 13:59:55.000000000 +0200
@@ -1,2 +1,5 @@
 # Have udev pass data over a socket to hal
 RUN+="socket:/org/freedesktop/hal/udev_event"
+
+# unmount block devices when they are removed
+SUBSYSTEM=="block",ACTION="remove", RUN+="/usr/lib/hal/hal-unmount.sh"

md5sums:
1afe5cd68445909b1df6c63b405eead3 /etc/udev/rules.d/95-hal.rules.dpkg-dist
cfccffad251ec044da75c8b74bdda14f /etc/udev/rules.d/95-hal.rules

Changed in hal:
milestone: none → ubuntu-8.04-beta
Jorge Castro (jorge) on 2008-02-19
Changed in hal:
status: New → Confirmed
Martin Pitt (pitti) wrote :

Taking.

Changed in hal:
assignee: nobody → pitti
importance: Undecided → High
status: Confirmed → In Progress
Martin Pitt (pitti) on 2008-03-13
Changed in hal:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal - 0.5.10+git20080301-1ubuntu2

---------------
hal (0.5.10+git20080301-1ubuntu2) hardy; urgency=low

  * debian/hal.preinst: Fix copy&paste error in mv_conffile(), so that the
    udev rules transition actually works and a standard dapper->hardy upgrade
    does not produce a conffile prompt. (LP: #172837)

 -- Martin Pitt <email address hidden> Thu, 13 Mar 2008 19:01:51 +0100

Changed in hal:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers